#!/usr/bin/env ruby
# -*- coding:utf-8 -*-

sum=0
while true
  STDERR.print("足したい数(終了はq):")
  line=gets.chomp
  if line=="q" then
    break
  end
  sum+=line.to_i
  printf("これまでの合計は%dです\n",sum)
end
printf("合計を3で割った値は約%0.3fです。",sum/3)
